<?php

/**
 * @package ChinaDivision WooCommerce
 * @version 2.1
 *
 * Plugin Name: ChinaDivision WooCommerce
 * Plugin URI: https://www.chinadivision.com
 * Description: ChinaDivision WooCommerce plugin.
 * Author: ChinaDivision
 * Version: 2.1
 * Requires at least: 5.0
 * Requires PHP: 7.0
 * Author URI: https://www.chinadivision.com
 */




function chinadivision_woocommerce() {
    $text = <<<EOF
<p id='chinadivision'>
    <a href="javascript:void(0);" class="button-primary" onclick="chinadivision.getSettingPage()">Setting</a> 
    <a href="javascript:void(0);" class="button-primary" onclick="chinadivision.callCreateOrderAPI(this)">Create Order</a> 
    <a href="javascript:void(0);" class="button-primary" onclick="chinadivision.callSyncShipping(this)">Get Tracking No.s from ChinaDivision</a> 
    <a href="javascript:void(0);" class="button-primary" onclick="chinadivision.getCreateSkuPage()">Create SKU</a>
    <a href="https://www.chinadivision.com/login" target="_blank" class="button-primary">Go to ChinaDivision</a>
</p>
EOF;
    echo $text;
}

function chinadivision_js_css() {
    wp_register_script('chinadivision-api', plugin_dir_url(__FILE__) . 'chinadivision/js/chinadivision-api.js');
    wp_print_scripts('chinadivision-api');
    echo "
	<style type='text/css'>
	#chinadivision {
    position:fixed;
    z-index:999999;
    top:40px;
    right:20%;
		float: right;
		padding-right: 15px;
		padding-top: 5px;		
		margin: 0;
		font-size: 13px;
	}
	</style>
	";
}

if (isset($_GET['post_type']) && $_GET['post_type'] == 'shop_order' || isset($_GET['page']) && $_GET['page'] == 'wc-orders') {
    add_action('admin_head', 'chinadivision_js_css');
    add_action('admin_head', 'chinadivision_woocommerce');
}