<style>
.c_global_label {display: inline-block;width: 160px;text-align: right;margin-right: 30px;font-weight: bold;}
.c_global_input {height: 35px;width: 320px;border-radius: 5px;}
.c_can_not_empty {color: red;font-size: 16px;font-weight: bold;margin-right: 5px;}
.c_font{font-family: "Helvetica Neue", Helvetica, Microsoft Yahei, Hiragino Sans GB, WenQuanYi Micro Hei, sans-serif;}
.setting-tips {color:#878484}
</style>
<div class="c_font" style=" float: left;font-weight:700;font-size: 21px; margin-left: 10px;margin-top: 10px;">Setting</div>
<div class="c_font" style=" float: right;font-weight:700;font-size: 21px;color: #CCC; text-align: center; margin-right: 10px; margin-top: 10px;  border: solid  #DFDFDF 0;cursor: pointer" onmouseover="this.style.color='black'" onmouseout="this.style.color='#CCC'" onclick="chinadivision.closeSettingPage();">x</div>
<div style=" margin-top: 60px;"> 
<?php require_once "chinadivision-config.php";?>
<?php require_once "chinadivision-common-function.php";?>
    <form method="post" action="#" id="chinadivision-setting">
        <ul>
            <li style="display: block; margin-bottom: 5px;min-height: 30px;">
                <label for="chinadivision-apikey" class="c_global_label" title="This apikey is required when calling the ChinaDivision interface."><em class="c_can_not_empty">*</em>apikey</label>
                <input id="chinadivision-apikey" name="apikey" class="c_global_input must_input" autocomplete="off" type="text" placeholder="your apikey" onblur="chinadivision.hideError(this)" value="<?php if(CHINADIVISION_API_KEY!='your apikey'){echo CHINADIVISION_API_KEY;}?>"/>
            </li>
            <li>
                <label class="c_global_label"></label>
                <span class="setting-tips">This apikey is required when calling the ChinaDivision api.</span>
            </li>
            <li>
                <label for="chinadivision-prefix" class="c_global_label" title="This apikey is required when calling the ChinaDivision interface create order."><em class="c_can_not_empty">*</em>prefix</label>
                <input id="chinadivision-prefix" name="prefix" class="c_global_input must_input" autocomplete="off" type="text" placeholder="your prefix" onblur="chinadivision.hideError(this)" value="<?php if(CHINADIVISION_PREFIX!='your prefix'){echo CHINADIVISION_PREFIX;}?>"/>
            </li>
            <li>
                <label class="c_global_label"></label>
                <span class="setting-tips">This order prefix is required when calling the ChinaDivision api create order.</span>
            </li>
            <li>
                <label for="chinadivision-consumer-key" class="c_global_label"><em class="c_can_not_empty">*</em>Consumer Key</label>
                <input id="chinadivision-consumer-key" name="consumer_key" class="c_global_input must_input" autocomplete="off" type="text" placeholder="your consumer key" onblur="chinadivision.hideError(this)" value="<?php if(CD_CONSUMER_KEY!='your prefix'){echo CD_CONSUMER_KEY;}?>"/>
            </li>
            <li>
                <label class="c_global_label"></label>
                <span class="setting-tips">From menu WooCommerce->Settings->Advanced->REST API page find Consumer Key.</span>
            </li>
            <li>
                <label for="chinadivision-consumer-secret" class="c_global_label"><em class="c_can_not_empty">*</em>Consumer Secret</label>
                <input id="chinadivision-consumer-secret" name="consumer_secret" class="c_global_input must_input" autocomplete="off" type="text" placeholder="your consumer secret" onblur="chinadivision.hideError(this)" value="<?php if(CD_CONSUMER_SECRET!='your prefix'){echo CD_CONSUMER_SECRET;}?>"/>
            </li>
            <li>
                <label class="c_global_label"></label>
                <span class="setting-tips">From menu WooCommerce->Settings->Advanced->REST API page find Consumer Secret.</span>
            </li>
            <li>
                <label for="chinadivision-debug-log" class="c_global_label">Save debug log</label>
                <input id="chinadivision-debug-log" type="checkbox" name="debug_log" value="1" title="closing it will delete existing log files." <?php if(CD_DEBUG_INFO){echo 'checked';}?> />It is not recommended to turn it on when there are no issues.
            </li>
            <li>
                <label class="c_global_label"></label>
                <span class="setting-tips">Enabling this option will record the logs to <a href="<?php echo cd_get_domain() . '/wp-content/plugins/chinadivision-woocommerce/chinadivision-trace.log'; ?>">chinadivision-trace.log</a> </span>
            </li>
            <li>
                <div style="margin: 10px 20px 0 20%;display: flex;justify-content: space-between">
                    <div>
                        <input type="button" class="button button-default" value="Close" onclick="chinadivision.closeSettingPage();"/>
                        <input type="button" class="button button-primary" value="Save" onclick="chinadivision.saveSetting(this);"/>
                    </div>
                </div>
            </li>
        </ul>
    </form>
</div>